%define name		xblast
%define major_version	2.6
%define minor_version	1
%define version		%{major_version}.%{minor_version}
%define release		alt1
%define summary		The X11 bomberman team game

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Icon:		%{name}.gif
Group:		Games/Arcade
Source0:	ftp://metalab.unc.edu/pub/linux/games/arcade/%{name}-%{version}.sound.tar.bz2
Source1:	%{name}_48x48.png.bz2
Source2:	%{name}_32x32.png.bz2
Source3:	%{name}_16x16.png.bz2
URL:		http://www.xblast-center.com/
# Automatically added by buildreq on Fri Oct 31 2003
BuildRequires: XFree86-devel

BuildRequires:	XFree86-devel

%description
XBlast is a multi-player arcade game for X11R5/R6. The game can be played
with at least two players and up to four players. It was inspired by
the video/computer game Bomberman(Dynablaster), which was to my
knowledge first programmed for NEC's PC Engine/Turbo Grafx. Other
(commercial) versions of the original game exist for IBM-PC, Atari ST,
Amiga, NES, GameBoy and Super NES.

%prep
%setup -n XBlast-%{major_version}-sound

%build
xmkmf -a
touch xbsndsrv.man
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall DESTDIR=%buildroot install.man
# icons

mkdir -p %buildroot%{_liconsdir}/
mkdir -p %buildroot%{_iconsdir}/
mkdir -p %buildroot%{_miconsdir}/

bzcat %{SOURCE1} > %buildroot%{_liconsdir}/%{name}.png 
bzcat %{SOURCE2} > %buildroot%{_iconsdir}/%{name}.png 
bzcat %{SOURCE3} > %buildroot%{_miconsdir}/%{name}.png

# menu entry
mkdir -p %buildroot%{_libdir}/menu
cat >%buildroot%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_prefix}/X11R6/bin/%{name}"\\
	needs="text"\\
	icon="%{name}.png"\\
	section="Amusement/Arcade"\\
	title="XBlast" \
	longtitle="%{summary}"
EOF

%files
%_sysconfdir/X11/app-defaults/XBlast
%_menudir/xblast
%_x11bindir/xbsndsrv
%_x11bindir/xblast
%_x11libdir/X11/xblast
%_x11mandir/man1/xblast.1x.bz2
%_miconsdir/xblast.png
%_liconsdir/xblast.png
%_iconsdir/xblast.png


%changelog
* Fri Oct 31 2003 Fr. Br. George <george@altlinux.ru> 2.6.1-alt1
- ALT Linux port

